# RTP_Session::Params Struct Reference

`#include <rtp.h>`

Collaboration diagram for RTP_Session::Params:

[legend]

## Public Member Functions

| Params ()

## Data Fields

PString | encoding
| identifies initial RTP encoding (RTP/AVP, UDPTL etc)
unsigned | id
| Session ID for RTP channel.
RTP_UserData * | userData
| Optional data for session.
bool | autoDelete
| Delete optional data with session.
bool | isAudio
| is audio RTP data
bool | remoteIsNAT
| Remote is behid NAT.

## Constructor & Destructor Documentation

RTP_Session::Params::Params | ( |  | ) | `[inline]`

## Field Documentation

bool RTP_Session::Params::autoDelete

Delete optional data with session.

PString RTP_Session::Params::encoding

identifies initial RTP encoding (RTP/AVP, UDPTL etc)

unsigned RTP_Session::Params::id

Session ID for RTP channel.

bool RTP_Session::Params::isAudio

is audio RTP data

bool RTP_Session::Params::remoteIsNAT

Remote is behid NAT.

RTP_UserData* RTP_Session::Params::userData

Optional data for session.

The documentation for this struct was generated from the following file:

- rtp.h